Subject: Re: [PATCH net-next] igb: Change how we check for pre-existing and assigned VFs

From: Stefan Assmann <[email-masked]>
Date: Thu, 16 Aug 2012 07:05:03 +0200

On 15.08.2012 18:12, Alexander Duyck wrote:
> On 08/14/2012 10:51 PM, Stefan Assmann wrote:
>> Adapt the pre-existing and assigned VFs code to the ixgbe way introduced
>> in commit 9297127b9cdd8d30c829ef5fd28b7cc0323a7bcd.
>>
>> Instead of searching the enabled VFs we use pci_num_vf to determine enabled VFs.
>> By comparing to which PF an assigned VF is owned it's possible to decide
>> whether to leave it enabled or not.
>>
>> Signed-off-by: Stefan Assmann <[email-masked]>

[...]

> 
> As the author of commit 9297127b9cdd8d30c829ef5fd28b7cc0323a7bcd it
> would have been nice to include me on the CC since I am probably one of
> the best people to review this patch.  That being said, the patch itself
> looks good.

Sorry, my mistake. I forgot to do that.

> 
> A follow-on patch that probably needs to be written would be to create a
> generic version of "vfs_are_assigned" as a part of the SR-IOV API.  That
> way we can avoid duplicating the function in each of the drivers.  All
> that would need to be changed is to pull the vendor ID from the pdev,
> and to pull the VF device ID from the SR-IOV configuration space of the
> physical function.  I'll try to get to that sometime in the next few
> weeks if nobody gets to it before I do.

Sounds like a good idea.

> 
> Acked-by: Alexander Duyck <[email-masked]>
> 

Thanks for the review!

  Stefan